Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 218880 - net-irc/inspircd-1.1.23 version bump
Summary: net-irc/inspircd-1.1.23 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2008-1925 248019
  Show dependency tree
 
Reported: 2008-04-22 12:58 UTC by satmd
Modified: 2009-12-20 23:19 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
inspircd-1.1.19.ebuild.patch (inspircd-1.1.19.ebuild.patch,3.92 KB, patch)
2008-04-23 18:46 UTC, Robert Buchholz (RETIRED)
Details | Diff
inspircd-1.1.19.ebuild.patch (inspircd-1.1.19.ebuild.patch,4.22 KB, patch)
2008-05-24 06:41 UTC, Eugene Janusov
Details | Diff
Patch against inspircd-1.1.23.ebuild in svn (inspircd-1.1.23.ebuild.patch,834 bytes, patch)
2009-08-20 20:33 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description satmd 2008-04-22 12:58:53 UTC
as in summary.

Note that I (as an InspIRCD contributor) published ebuilds on http://lain.at/dev/portage_overlay/net-irc/inspircd/.

This bug also accounts for #217042 (moves enewuser/enewgroup to pkg_postinst, where we chown the files) and for #215704 (<1.1.18 possible DoS bug).

If there's something wrong about how I supply version bumps or bugs in the ebuilds, please let me know and I'll take care of that. I'd like to shorten the delay between releases and ebuild version bumps.
Comment 1 satmd 2008-04-22 13:02:28 UTC
the alpha ebuilds and svn ebuilds (*.9999) on that site are up to date as well, but I'm not sure wether I should open separete bugs for those.
Comment 2 Robert Buchholz (RETIRED) gentoo-dev 2008-04-23 18:46:25 UTC
Created attachment 150732 [details, diff]
inspircd-1.1.19.ebuild.patch

I propose the following patch to the ebuild in your SVN. Some changes in there are stylistic (like the order of DEPEND, etc.), but I also removed a non-working "ln" calls that was missing the m_ldap.h file.

Thanks for maintaing the ebuilds in your overlay, but for an easier syncing back to the tree, I'd be nice if you could merge these changes in there, too.
Comment 3 Robert Buchholz (RETIRED) gentoo-dev 2008-04-23 18:49:36 UTC
About the "zip" module: Are these enabled manually in configuration, can these be disabled in config? In that case, we would not need a USE flag (since it does not introduce new dependencies).
Comment 4 Robert Buchholz (RETIRED) gentoo-dev 2008-04-23 18:56:14 UTC
Ok, I changed "zip" to "zlib" since that is what the compression here actually is.
Comment 5 Robert Buchholz (RETIRED) gentoo-dev 2008-04-23 19:05:08 UTC
I committed the ebuild based with the patch I uploaded, and an additional renaming of the zip use flag. Please reopen or create a new bug if it does not work out for you.

*inspircd-1.1.19 (23 Apr 2008)

  23 Apr 2008; Robert Buchholz <rbu@gentoo.org> -inspircd-1.1.12.ebuild,
  -inspircd-1.1.13.ebuild, -inspircd-1.1.13-r1.ebuild,
  +inspircd-1.1.19.ebuild:
  Non-maintainer-commit: Security bump (bug #215704). Ebuild created by
  satmd (bug #218880). Moved user creation to preinst step (bug #217042) and
  introduced some new features, such as LDAP authentication.
Comment 6 satmd 2008-04-24 07:53:02 UTC
Applied all suggestion to the upstream ebuilds as well. Thank you.
Comment 7 Eugene Janusov 2008-05-23 15:32:14 UTC
Sorry, but why there is no patch against inspircd-1.1.14.ebuild, which are the previous version in Portage?

For example, toolchain-funcs is not used, as I understand. I've removed it from inherit in 1.1.14 ebuild and Michael Hanselmann approved my changes in bug #198317. But in 1.1.19 toolchain-funcs are again there. So, I don't know, whether it was my mistake or what? And what should I do next time?

The same with using ${PN} variable in paths.

I've read Developer Manual, but can't find any сlear guidance on these matters.
Comment 8 Robert Buchholz (RETIRED) gentoo-dev 2008-05-23 17:01:55 UTC
Eugene, it seems this was a regression when merging from the overlay. Can you provide a patch that fixes the issues in inspircd-1.1.19.ebuild ?
Comment 9 Eugene Janusov 2008-05-24 06:41:20 UTC
Created attachment 154109 [details, diff]
inspircd-1.1.19.ebuild.patch

Changes from inspircd-1.1.14.ebuild.patch for inspircd-1.1.19.ebuild.
Comment 10 satmd 2008-06-17 18:41:32 UTC
version bump to 1.1.20
uploaded an ebuild to the overlay mentioned in the previous comments
Comment 11 Robert Buchholz (RETIRED) gentoo-dev 2008-06-18 11:54:08 UTC
please open a new bug next time and not reuse old bugs.
Comment 12 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-06-29 17:51:09 UTC
(In reply to comment #0)

> If there's something wrong about how I supply version bumps or bugs in the
> ebuilds, please let me know and I'll take care of that. I'd like to shorten the
> delay between releases and ebuild version bumps.
> 

I will proxy commit/maintain this package for you. You seem pretty active on bugzilla and it looks like the old proxied maintainer, Craig Edwards, who is CC'd on this bug, has silently left? (Please speak up now).

Anyway, the only thing that I require is that you:
a) maintain the relationship with upstream
b) fix all bugs wrt this package
c) maintain an active presence on bugzilla.
d) basically you do all the work ;)

Let me know what you think. (I have no use for this package, I am just doing this because you expressed interest and I like to get Gentoo users involved)
Comment 13 Craig Edwards 2008-07-13 10:44:40 UTC
Hi all,

I have not silently left, but am silently lurking. The reporter of this bug is active on our IRC channel and much faster at putting out releases into gentoo portage than me (he also knows a lot more about its inner workings) so i would be happy for him to take my place managing this ebuild in whatever way.

Thanks
Craig
Comment 14 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-07-13 22:50:35 UTC
(In reply to comment #13)
> Hi all,
> 
> I have not silently left, but am silently lurking. The reporter of this bug is
> active on our IRC channel and much faster at putting out releases into gentoo
> portage than me (he also knows a lot more about its inner workings) so i would
> be happy for him to take my place managing this ebuild in whatever way.

Have him respond to Comment #12, my offer still stands for him too. 

Comment 15 satmd 2008-07-14 21:41:34 UTC
For comment #12:

I'm fine with this I guess. Sorry for the long delay, had some hardware trouble.
Comment 16 satmd 2008-09-28 19:42:01 UTC
This bug seems been forgotten about.

So instead of bumping to .20, we could even bump to .21 now.

We didn't add or remove any features and the ebuild will work right if just renamed to the new version.

Thanks.
Comment 17 satmd 2008-09-28 20:11:48 UTC
I'm going to comment #12 some more

a) I'm an active supported on the inspircd team
b) Of course, that's the point why I stepped up :P
c) regarding bugs on inspircd that's ok
d) I already made the ebuild so that it minimizes work for me ;)

Additionally, I seem to be the one at inspircd to attract all the obscure bugs anyway (which suggests that I'm good at testing the weakpoints :D). I run inspircd myself on several debian and gentoo boxes (both amd64 no-multilib and x86). 

I'm working with computers for about 16 years, at least 12 of those with linux being primary OS and I'm a professional software developer since 2003. If there's more information required on my person, google should point out my contributions to many very different places.

I'll gladly step up to maintain this ebuild and support+bugs regarding it.
Comment 18 Robert Buchholz (RETIRED) gentoo-dev 2008-09-28 20:48:02 UTC
Jeremy or me could proxy you then. Jeremy: Do you actually use this package? If so, I'd vote for you to do that. Otherwise, I can step up for proxy commits too.

satmd, can you give us the svn URL of your lain.at overlay, it's easier to merge changes to the main tree using the standard tools instead of a web interface.
Comment 19 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-09-29 03:03:52 UTC
(In reply to comment #18)
> Jeremy or me could proxy you then. Jeremy: Do you actually use this package? If
> so, I'd vote for you to do that. Otherwise, I can step up for proxy commits
> too.

Yup, sorry. I did seem to forget about this bug. =/ 

@rbu: go for it, I don't use this package and I have slightly less free time now then when I made my original offer. thanks.

Comment 20 satmd 2008-11-15 23:03:13 UTC
at #18: My overlay url infact *is* backed by subversion directly.
svn commands should work on it (it does for me).
Comment 21 satmd 2008-12-05 00:46:13 UTC
The repository at lain.at now carries an ebuild for inspircd 1.1.21, which adresses the --as-needed issues, too (#248019). I've also added an (yet untested!) ebuild for 1.2.0beta3.

I'm not sure about how to deal with bugzilla about the dependency on #248019, please tell me if there's something to do from my side.
Comment 22 satmd 2008-12-05 00:46:56 UTC
Actually, it's 1.1.22.
Comment 23 satmd 2009-02-19 11:37:56 UTC
Inspircd 1.1.22 is supporting as-needed (see #248019), but has other problems.

But please do *not* stabilize inspircd 1.1.22 - it has a crash bug.
Comment 24 satmd 2009-03-10 22:13:43 UTC
Upcoming 1.2 rc2 ebuilds have been added to (original url relocated to) http://svn.lain.at/portage_overlay/net-irc/inspircd/ .
Comment 25 satmd 2009-05-21 19:34:34 UTC
updated my ebuild to reflect upstream progress, rc3 does not introduce new features over rc2. I tested the build on x86.
Comment 26 satmd 2009-08-18 12:13:15 UTC
Bumped stable ebuild to 1.1.23 (http://svn.lain.at/portage_overlay/net-irc/inspircd/inspircd-1.1.23.ebuild), unstable to 1.2.0_rc5 (http://svn.lain.at/portage_overlay/net-irc/inspircd/inspircd-1.2.0_rc5.ebuild), and made the svn ebuilds use git. This also removes the block on #248019 finally, please.
Comment 27 Víctor Ostorga (RETIRED) gentoo-dev 2009-08-20 20:33:29 UTC
Created attachment 201808 [details, diff]
Patch against inspircd-1.1.23.ebuild in svn

I have been testing the ebuild and found a missing dot in a cp and CXX variable not being respected, both of them are in the patch above.

The other thing is that LDFLAGS are not respected, while it should be. I'll review the LDFLAGS later, if you can give a fix to it, that would be great.
Comment 28 satmd 2009-08-21 16:06:12 UTC
I have applied the the patch (with variation) on all of the ebuild and it applied fine for each but 1.2.9999 where I fixed it manually).

I haven't found any LDFLAGS references in any of 1.2/1.1's code, just PICLDFLAGS for 1.2 and LDLIBS for both.

I've forwarded the request to our devs for that matter.

Comment 29 Víctor Ostorga (RETIRED) gentoo-dev 2009-12-20 23:19:56 UTC
Bump to net-irc/inspircd-1.1.23

Thanks for the patches and svn stuff